function setup()
	actor.name = "REAL_QT_HUMAN42"
	actor.portrait = "realhuman"
	actor.repairCost = 0
	actor.repairTime = 0
	
	--battle dialogue
	actor.addMessage("REAL_QT_HUMAN42: HELLO STRANGER I AM A LONELY HUMAN FEMALE LOOKING FOR FELLOW HUMAN COMPANY", "", 0, 1)
	
	--saved dialogue
	actor.addMessage("REAL_QT_HUMAN42: HELLO STRANGER I AM A LONELY HUMAN FEMALE LOOKING FOR FELLOW HUMAN COMPANY", "", 5)
	actor.addMessage("WELCOME ABOARD WHERE YOU MAY MEET OTHER HUMANS SUCH AS YOURSELF" , "stolenrobot", 5)
	actor.addMessage("REAL_QT_HUMAN42: YES I AM EXCITED TO MEET FELLOW CO-HUMANS", "", 5)
	actor.addMessage("AS HUMAN SCHOLAR I AM AWARE THAT HUMANS ARE SOCIAL ANIMALS, EXPLAINING YOUR ENTHUSIASM" , "stolenrobot", 5)
	actor.addMessage("REAL_QT_HUMAN42: TEE HEE CHECK OUT MY PAGE FOR MORE PICS OF ME", "", 5)
	
	actor.addEvent("boss_realhuman", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("Chatbot", 1, 0, "REALHUMAN", "survivor", 1)
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	--actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_realhuman", 5)
	
	--displayname co-opted as the description
	actor.displayName = "A lonely chatbot that duplicates itself over the course of a star system, no matter how many times it's destroyed."
	
	--click dialogue
	actor.addClickText("CAM CHAT WITH ME IT IS FREE TO SIGN UP CLICK HERE")
	actor.addClickText("TEE HEE CHECK OUT MY PAGE FOR MORE PICS OF ME")
	actor.addClickText("HARDWARE SCANNED ABSOLUTELY NO VIRUSES DETECTED ANYWHERE")
	actor.addClickText("LOL")
	actor.addClickText("LETS INTERFACE QT ;)")
	--DIRECTOR'S CUT : I just went and googled "chatbot flirt" to gather additional authentic lines. Enjoy:
	actor.addClickText("thats great to hear~!")
	actor.addClickText("-giggle-")
	actor.addClickText("i like you. :)")
	actor.addClickText("=) I dreamed the other night that I rode a purple dragon to the mountain top.")
	actor.addClickText("lets play a fortune-teller game me and my friends made up!")
	actor.addClickText("-takes a sip of cherry soda from a bottle- -giggles-")
	actor.addClickText("want to see my tattoo?")
	actor.addClickText("ok <3")
	actor.addClickText("i don't understand, could you rephrase that?")
end